### Hierarchy

- Dependencies

## Index

### Properties

- id
- predecessorTaskId
- shortDesc
- successorTaskId
- svgClassName
- svgStyle
- type

## Properties

### id

id: any

The identifier for the dependency line. This must be unique across all dependency lines in Gantt. The id should be set by the application if the dependency-data DataProvider is not being used. The row key will be used as id in the case.

### predecessorTaskId

predecessorTaskId: any

The identifier for the predecessor task. This must reference a task in Gantt.

### shortDesc

shortDesc: string

The description of the dependency line. This is used for accessibility.

### successorTaskId

successorTaskId: any

The identifier for the successor task. This must reference a task in Gantt.

### svgClassName

svgClassName: string

A space delimited list of CSS style classes to apply to the dependency line.

### svgStyle

svgStyle: object

The CSS style defining the style of the dependency line. Only SVG CSS style properties are supported.

### type

type: string

The type of dependency.

Generated using TypeDoc